array File Reference
Technical Specifications » Library Fundamentals TS

Go to the source code of this file.

## Namespaces

namespace | std
namespace | std::experimental

## Macros

#define | __cpp_lib_experimental_make_array
#define | _GLIBCXX_EXPERIMENTAL_ARRAY

## Functions

template<typename _Tp , size_t _Nm, size_t... _Idx>
constexpr array< remove_cv_t< _Tp >, _Nm > | std::experimental::__to_array (_Tp(&__a)[_Nm], index_sequence< _Idx... >)
template<typename _Dest = void, typename... _Types>
constexpr array< typename __make_array_elem< _Dest, _Types... >::type, sizeof...(_Types)> | std::experimental::make_array (_Types &&... __t)
template<typename _Tp , size_t _Nm>
constexpr array< remove_cv_t< _Tp >, _Nm > | std::experimental::to_array (_Tp(&__a)[_Nm]) noexcept(is_nothrow_constructible< remove_cv_t< _Tp >, _Tp & >::value)

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/array.

## Macro Definition Documentation

## __cpp_lib_experimental_make_array

#define __cpp_lib_experimental_make_array

Definition at line 50 of file experimental/array.

## _GLIBCXX_EXPERIMENTAL_ARRAY

#define _GLIBCXX_EXPERIMENTAL_ARRAY

Definition at line 31 of file experimental/array.